<?php
require($netsFileConfig['sysCoreRoot'].'Inc/m_Nets/User/netsusergroup.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'netsuserinfo','sttColumnHead'=>'uit'),
			array('sttTableName'=>$this->sysTableHead.'netsuserinfocont','sttColumnHead'=>'uict'),);
		$this->sUiName='Platform/nets/user_userinfo';
	}
	public function OnBInitial(){
		$this->sMetaTitle='系统用户';
		$this->sLimitCount=0;
		$this->sApp=new netsuserinfo($this->sConnString);
		//---- Get commen option ----
		$tmpSQL=' SELECT 
			A.uttID,A.uttName,A.uttParid 
			FROM '.$this->sysTableHead.'netsusertype AS A
			WHERE 1=1 AND A.uttRecycle=0 AND A.uttChecked>1 AND A.uttParid={Nets.Parid}
			ORDER BY A.uttOrderBy DESC,A.uttID DESC ';
		//Type
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$tmpSQL;
		$tmpAR0['InitialString']=1;
		$tmpAR0['Parid']='uttID';
		$tmpAR0['Text']='uttName';
		$tmpAR0['Value']='uttID';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sType1=$this->sType2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有类型]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sType2,$tmpAR0);
		//Grade
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT 
			A.ugratID,A.ugratName,A.ugratParid 
			FROM '.$this->sysTableHead.'netsusergrade AS A
			WHERE 1=1 AND A.ugratRecycle=0 AND A.ugratChecked>1 AND A.ugratParid={Nets.Parid}
			ORDER BY A.ugratOrderBy DESC,A.ugratID DESC ';
		$tmpAR0['SQL0']=' SELECT 
			A.ugratID,A.ugratName,A.ugratParid 
			FROM '.$this->sysTableHead.'netsusergrade AS A
			WHERE 1=1 AND A.ugratRecycle=0 AND A.ugratChecked>1 AND A.ugratID={Nets.Parid}
			ORDER BY A.ugratOrderBy DESC,A.ugratID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='ugratID';
		$tmpAR0['Text']='ugratName';
		$tmpAR0['Value']='ugratID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sGrade1=$this->sGrade2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有等级]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sGrade2,$tmpAR0);
		//Channel
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT 
			A.cctID,A.cctName,A.cctParid
			FROM '.$this->sysTableHead.'cmschannel AS A 
			WHERE 1=1 AND A.cctRecycle=0 AND A.cctChecked>1 AND A.cctParid={Nets.Parid}
			ORDER BY A.cctOrderBy DESC,A.cctID DESC ';
		$tmpAR0['InitialString']=2;
		$tmpAR0['Parid']='cctID';
		$tmpAR0['Text']='cctName';
		$tmpAR0['Value']='cctID';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sChannelid1=$this->sChannelid2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有的频道]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sChannelid2,$tmpAR0);
		//-- ------ #Action ------ --
		if($this->sActionTypeF=='DDefaultPxd'){
			$this->OnDefaultPxd();
		}
	}
	public function OnAdd(){
		$tmpDbDescription=array();
		foreach ($this->sTable as $tableCell){
			$tmpDbDescription[]=$this->sDbDescriptions[$tableCell['sttTableName']];
		}
		$tmpMainid=$this->AnalyerRequest('mainID','0',1);
		$tmpMainUserid=$this->AnalyerRequest('mainUserid',0,1);
		$tmpMainTableid=$this->AnalyerRequest('mainTableid',0,1);
		//-- ------ #Add ------ --
		$this->sApp->TransStart();
		//#Get numCode
		$tmpSTR=$this->sTable[0]['sttColumnHead'].'NumCode';
		$tmpDbDescription[0]['TableDescription']['SearchColumn']=$tmpSTR;
		$tmpDbDescription[0]['Columns'][$tmpSTR]['Value']='N_'.date('YmdHis');
		$this->sApp->numCode($tmpDbDescription[0]);
		//#Set value
		$tmpDbDescription0=$tmpDbDescription;
		$Coun0=0;
		foreach ($tmpDbDescription0 as $tableCell){
			foreach ($tableCell['Columns'] as $Column){
				if($Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'ID' &&
					$Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'NumCode' &&
					$Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'CreateBy' &&
					$Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'CreateTime' &&
					$Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'IndexID'){
					$tmpAR0=$this->AnalyerRequest($Column['stcotName'].'Txt',$Column['stcoctDefaultValue'],1);
					$tmpDbDescription[$Coun0]['Columns'][$Column['stcotName']]['Value']=$tmpAR0[0];
				}
			}
			$Coun0++;
		}
		//#Set spical value
		if(isset($tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'CreateBy']['Value'])){
			$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'CreateBy']['Value']=$tmpMainUserid[0];
		}
		if(isset($tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'CreateTime'])){
			$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'CreateTime']['Value']=date($this->sysTimeFormat);
		}
		foreach ($this->sSpicalValue as $Cell){
			if(isset($tmpDbDescription[$Cell[0]]['Columns'][$Cell[1]]['Value'])){
				$tmpDbDescription[$Cell[0]]['Columns'][$Cell[1]]['Value']=$Cell[2];
			}
		}
		if($tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']==''){
			$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']=$this->sCode->SamplePxd($this->sysFileConfig['userUserDefaultPxd']);
		}
		//#Add
		$tmpINT=$this->sApp->Check($tmpDbDescription,array(),array());
		if($tmpINT!=0){
			$this->sApp->TransRollback();
			$this->sJscript=$this->Message('ERROR','',$this->sApp->sysLastError,'');
			return 1;
		}
		$Coun0=0;
		while (count($tmpDbDescription)>$Coun0){
			if($Coun0==0){
				$tmpDbDescription[$Coun0]['TableDescription']['SearchColumn']=$this->sTable[$Coun0]['sttColumnHead'].'NumCode,'.$this->sTable[$Coun0]['sttColumnHead'].'ID';
			}else {
				$tmpDbDescription[$Coun0]['TableDescription']['SearchColumn']=$this->sTable[$Coun0]['sttColumnHead'].'IndexID';
			}
			$Coun0++;
		}
		$tmpINT=$this->sApp->add($tmpDbDescription);
		if($tmpINT!=0){
			$this->sApp->TransRollback();
			$this->sJscript=$this->Message('ERROR','',$this->sApp->sysLastError,'');
			return 1;
		}
		
		foreach ($this->sDb->sysDbCacheClear as $Cell){
			$this->clearCache($Cell);
		}
		foreach ($this->sysPageCacheClear as $Cell){
			$this->clearCache($Cell);
		}
		$this->sApp->TransCommit();
		$this->sJscript=$this->Message('SUCCESS','','添加成功',$this->sysPage.'?ActionType=Normal&Normal='.$tmpMainid[0].','.$tmpMainTableid[0].'');
		return 0;
	}
	public function OnModify(){
		$tmpDbDescription=array();
		foreach ($this->sTable as $tableCell){
			$tmpDbDescription[]=$this->sDbDescriptions[$tableCell['sttTableName']];
		}
		$tmpMainid=$this->AnalyerRequest('mainID','0',1);
		$tmpMainUserid=$this->AnalyerRequest('mainUserid',0,1);
		$tmpMainTableid=$this->AnalyerRequest('mainTableid',0,1);
		//-- ------ #Is add ------ --
		if($tmpMainid[0]==0){
			$this->OnAdd();
			return 1;
		}
		//-- ------ #Modify ------ --
		$this->sApp->TransStart();
		//#Get one
		$Coun0=0;
		while(count($tmpDbDescription)>$Coun0){
			if($Coun0==0){
				$tmpDbDescription[$Coun0]['Columns'][$this->sTable[$Coun0]['sttColumnHead'].'ID']['Value']=$tmpMainid[0];
			}else {
				$tmpDbDescription[$Coun0]['Columns'][$this->sTable[$Coun0]['sttColumnHead'].'IndexID']['Value']=$tmpMainid[0];
			}
			$Coun0++;
		}
		$this->sApp->getOne($tmpDbDescription);
		//#Set value
		$tmpDbDescription0=$tmpDbDescription;
		$Coun0=0;
		foreach ($tmpDbDescription0 as $tableCell){
			foreach ($tableCell['Columns'] as $Column){
				if($Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'ID' &&
					$Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'NumCode' &&
					$Column['stcotName']!=$this->sTable[$Coun0]['sttColumnHead'].'IndexID'){
					$tmpAR0=$this->AnalyerRequest($Column['stcotName'].'Txt',$Column['stcoctDefaultValue'],1);
					foreach ($this->sUiDescription_Normal as $tmpColumns){
						if($tmpColumns['stcotName']==$Column['stcotName']){
							$tmpDbDescription[$Coun0]['Columns'][$Column['stcotName']]['Value']=$tmpAR0[0];
						}
					}
				}
			}
			$Coun0++;
		}
		//#Set spical value
		if(isset($tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'CreateTime'])){
			$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'CreateTime']['Value']=date($this->sysTimeFormat);
		}
		foreach ($this->sSpicalValue as $Cell){
			if(isset($tmpDbDescription[$Cell[0]]['Columns'][$Cell[1]]['Value'])){
				$tmpDbDescription[$Cell[0]]['Columns'][$Cell[1]]['Value']=$Cell[2];
			}
		}
		if($tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']==''){
			$tmpSQL=' SELECT A.uitPxd FROM '.$this->sysTableHead.'netsuserinfo AS A WHERE 1=1 AND A.uitID={Nets.ID} ';
			$tmpSTR=str_replace('{Nets.ID}',$tmpMainid[0],$tmpSQL);
			$tmpData0=$this->sApp->Search($tmpSTR);
			if(count($tmpData0)!=1){
				$this->sJscript=$this->Message('SUCCESS','','密码设置错误','');
				$this->sApp->TransRollback();
				return 1;
			}
			$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']=$tmpData0[0]['uitPxd'];
		}else {
			$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']=$this->sCode->SamplePxd($tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']);
		}
		//#Modify
		$tmpINT=$this->sApp->Check($tmpDbDescription,array(),array());
		if($tmpINT!=0){
			$this->sJscript=$this->Message('ERROR','',$this->sApp->sysLastError,'');
			return 1;
		}
		$tmpINT=$this->sApp->modify($tmpDbDescription);
		if($tmpINT!=0){
			$this->sJscript=$this->Message('ERROR','',$this->sApp->sysLastError,'');
			return 1;
		}
		
		foreach ($this->sDb->sysDbCacheClear as $Cell){
			$this->clearCache($Cell);
		}
		foreach ($this->sysPageCacheClear as $Cell){
			$this->clearCache($Cell);
		}
		$this->sApp->TransCommit();
		$this->sJscript=$this->Message('SUCCESS','','修改成功',$this->sysPage.'?ActionType=Normal&Normal='.$tmpMainid[0].','.$tmpMainTableid[0].'');
		return 0;
	}
	public function OnDefaultPxd(){
		$tmpDbDescription=array();
		foreach ($this->sTable as $tableCell){
			$tmpDbDescription[]=$this->sDbDescriptions[$tableCell['sttTableName']];
		}
		$tmpMainid=$this->AnalyerRequest('mainID','0',1);
		$tmpMainUserid=$this->AnalyerRequest('mainUserid',0,1);
		$tmpMainTableid=$this->AnalyerRequest('mainTableid',0,1);
		//-- ------ #Modify ------ --
		//#Get one
		$Coun0=0;
		while(count($tmpDbDescription)>$Coun0){
			if($Coun0==0){
				$tmpDbDescription[$Coun0]['Columns'][$this->sTable[$Coun0]['sttColumnHead'].'ID']['Value']=$tmpMainid[0];
			}else {
				$tmpDbDescription[$Coun0]['Columns'][$this->sTable[$Coun0]['sttColumnHead'].'IndexID']['Value']=$tmpMainid[0];
			}
			$Coun0++;
		}
		$tmpAR0=$this->AnalyerRequest($this->sTable[0]['sttColumnHead'].'NameTxt','',1);
		$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Name']['Value']=$tmpAR0[0];
		$tmpDbDescription[0]['Columns'][$this->sTable[0]['sttColumnHead'].'Pxd']['Value']=$this->sysFileConfig['userUserDefaultPxd'];
		//Update
		$tmpINT=$this->sApp->UpdatePxd($tmpDbDescription);
		if($tmpINT!=0){
			$this->sJscript=$this->Message('ERROR','',$this->sApp->sysLastError,$this->sysPage.'?ActionType=Normal&Normal='.$tmpMainid[0].','.$tmpMainTableid[0].'');
			return 1;
		}
		
		$this->sJscript=$this->Message('SUCCESS','','设置本用户密码为默认密码成功',$this->sysPage.'?ActionType=Normal&Normal='.$tmpMainid[0].','.$tmpMainTableid[0].'');
		return 0;
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'uitID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',,-1',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.uitID,A.uitName,A.uitTypeid,A.uitGradeid,B.uutName
			FROM '.$this->sysTableHead.'netsuserinfo AS A 
			INNER JOIN '.$this->sysTableHead.'netsuserunit AS B ON B.uutID=A.uitUnitid
			WHERE 1=1 
			AND A.uitID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.uitName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!=''){
			$tmpSQL.=' AND B.uutName LIKE \'%'.$this->sSearchData[1].'%\' ';
		}
		if($this->sSearchData[2]!='-1'){
			$tmpSQL.=' AND A.uitGradeid='.$this->sSearchData[2].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1].','.$this->sSearchData[2];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'uitID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'uitName','stcoctUiName'=>'用户名');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'uitID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1',0);
		$this->sExternal_SearchData=$this->AnalyerRequest($this->sActionType,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.uitID,A.uitName
			FROM '.$this->sysTableHead.'netsuserinfo AS A 
			WHERE 1=1 
			AND A.uitID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.uitName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!=-1){
			$tmpSQL.=' AND A.uitParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$this->sActionType.'&'.$this->sActionType.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1].$this->sExtendParameter;
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'uitID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'uitName','stcoctUiName'=>'文档标题');
		
		return 0;
	}
	public function OnNormal(){
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'netsuserinfo AS A 
			INNER JOIN '.$this->sysTableHead.'netsuserinfocont AS B ON B.uictIndexID=A.uitID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.uitID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.uitID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//Spical set
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='uitUnitid'){
						$tmpSQL=' SELECT A.uutName FROM '.$this->sysTableHead.'netsuserunit AS A WHERE 1=1 AND A.uutID='.$tmpRow['uitUnitid'].' ';
						$tmpDataCollection1=$this->sDb->Search($tmpSQL);
						if(count($tmpDataCollection1)>0){
							$this->sUiDescription_Normal[$Coun0]['ShowValue']=$tmpDataCollection1[0]['uutName'];
						}
					}else if ($this->sUiDescription_Normal[$Coun0]['stcotName']=='uitPxd') {
						$this->sUiDescription_Normal[$Coun0]['Value']='';
					}
				}
				$Coun0++;
			}
		}else {}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='uitTypeid' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sType1;
		}else if($pColumn['stcotName']=='uictPower' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sUsergroup1;
		}else if($pColumn['stcotName']=='uitGradeid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sGrade2;
		}else if($pColumn['stcotName']=='uitGradeid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sGrade1;
		}else if($pColumn['stcotName']=='uitChannelid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sChannelid2;
		}else if($pColumn['stcotName']=='uitChannelid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sChannelid1;
		}
		return $pColumn;
	}
	public function DefUiButton($pFlag,$Exception){
		parent::DefUiButton($pFlag,array('List','Normal','ListChildLink','NormalChildLink',));
		if($pFlag=='List'){ ?>
<li class="ButBut"><input type="submit" value="批量删除" class="Control2" onclick="tmpControl.onDelete_Multiple();tmpCommon.setActionType('','DDelete_Multiple','','');" /></li>
<li class="ButBut"><input type="submit" value="保存本页修改" class="Control2" onclick="tmpControl.onModify_Page();tmpCommon.setActionType('','DModify_Page','','');" /></li>
<?php }else if ($pFlag=='ListChildLink') { ?>
<li class="TabChildNormal"><a href="<?php echo ($this->sysPage); ?>?ActionType=Normal" class="Link1 SBlue1">添加<?php echo ($this->sMetaTitle); ?></a></li>
<?php }else if ($pFlag=='Normal') { ?>
<li class="ButBut"><input type="submit" value="删除" class="Control2" onclick="tmpControl.confirmDo('删除后将不能恢复，您确定删除本信息吗?');tmpCommon.setActionType('','DDelete','','');" /></li>
<li class="ButBut"><input type="submit" value="修改" class="Control2" onclick="tmpCommon.setActionType('Normal','DModify','','');" /></li>
<li class="ButBut"><input type="submit" value="添加" class="Control2" onclick="tmpCommon.setActionType('Normal','DAdd','','');" /></li>
<li class="ButBut"><input type="submit" value="设置本用户密码为默认密码" class="Control2" onclick="tmpCommon.setActionType('Normal','DDefaultPxd','','');" /></li>
<?php }else if ($pFlag=='NormalChildLink') { ?>
<li class="TabChildNormal"><a href="<?php echo ($this->sysPage); ?>" class="Link1 FGreen1">更多<?php echo ($this->sMetaTitle); ?></a></li>
<?php }
	}
}
?>